int main(void)
{
    /* Initialized data */
    static double a[16] /* was [4][4] */ = { 7.9,8.5,4.3,3.2,5.6,-4.8,
                                 4.2,-1.4,5.7,.8,-3.2,-8.9,-7.2,3.5,9.3,3.3 };
    /* Local variables */
    static int ierr;
    extern int afg5d_c(double *, int *, int *, int *, int *);
    static int i__, m, n, nlead[4];

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]

    m = 4;
    n = m;
    afg5d_c(a, &m, &n, nlead, &ierr);

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n  %23.14e %23.14e \n %23.14e %23.14e \n",
                  a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    printf("\n  %5i %5i %5i %5i \n", nlead[0], nlead[1], nlead[2], nlead[3]);
    printf("\n  %5i \n", ierr);
    return 0;
} /* main */

#undef a_ref
